# Continue Extension Addons

## Getting started

Start by installing the [Continue Extension](https://continue.dev/).

Before you can use the addons you need to start by installing the required libs using the following command:

```sh
pip3 install -t libs -r requirements.txt
```

Replace the continue configuration file by symlinking it to the one provided in this repo:

```sh
rm -f ~/.continue/config.py
ln -s ~/.continue/config.py config.py
```

Create the environment file `~/.continue/.env` and add the paths to this repo using the following commands:

```sh
echo "SYS_PATH=\"`pwd`/context_providers\,`pwd`/libs"" > ~/.continue/.env
```

Finally add the required any variables to `~/.continue/.env`:

```sh
JIRA_SERVER="https://jira.atlassian.com"
JIRA_USERNAME="..."
JIRA_TOKEN="..."
```
